<?php 

// list of users post based on current theme settings
	



$tmp_info_separator = " | ";
$tmp_status_list 	= get_post_statuses();

//echo "Form: ".$fq_list_form;

$fq_class = "frontier-query-results-standard";
$fq_date_format = fq_get_option('fq_set_date_format_list', 'Y-m-d');

if( $fpfposts->found_posts > 0 )
	{
	echo '<div id="frontier-query-results">';
	while ($fpfposts->have_posts()) 
		{
		$fpfposts->the_post();
		?>

		<fieldset class="frontier-query-results-standard">
			<table class="frontier-query-results-standard">
				<tr>
				<td class="frontier-query-results-standard" id="frontier-query-results-title">
					<?php the_post_thumbnail( array(50,50), array('class' => 'frontier-query-results-thumbnail') ); ?>
					<a id="frontier-query-results-title-link" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				</td>
				</tr>
				
				<?php
				if ($fq_list_form == "full_post")
					{
					$tmp_content = apply_filters( 'the_content', $post->post_content );
					$tmp_content = str_replace( ']]>', ']]&gt;', $tmp_content );
					echo '<tr><td class="frontier-query-results-standard" id="frontier-query-results-excerpt" colspan=2>';
					echo $tmp_content;
					echo '</td></tr>';
					}
				if ($fq_list_form == "excerpt")
					{
					$tmp_content = $post->post_excerpt;
					if (strlen(trim($tmp_content)) == 0)
						$tmp_content = wp_trim_words($post->post_content);
					echo '<tr><td class="ffrontier-query-results-standard" id="frontier-query-results-excerpt" colspan=2>';
					echo $tmp_content;
					echo '</td></tr>';
					}
				?>
				
				<tr>
				<td class="frontier-query-results-standard" id="frontier-query-results-info" colspan=2 >
					
					
					
					<?php	
					
					// List Frontier Post links (if Frontier Post is Activated)
					if ( function_exists('frontier_post_display_links') )
						{
						echo '<div class="frontier-query-results-actions">';
							echo frontier_post_display_links($post);
							//echo $tmp_info_separator;
						echo '</div>';	
						}
					echo '<br />';
		
					echo '<div class="frontier-query-results-fields">';
						
						echo '<div class="frontier-query-results-fields-status">';
							echo __("Status", "frontier-query").': '.( isset($tmp_status_list[$post->post_status]) ? $tmp_status_list[$post->post_status] : $post->post_status );
							//echo $tmp_info_separator;
						echo '</div>';	
						echo '<br />';
		
						echo '<div class="frontier-query-results-fields-author">';
							//echo __("Author", "frontier-query").': ';
							echo __("", "frontier-query");
							the_author();
							//echo $tmp_info_separator; 
						echo '</div>';	
						echo '<br />';
						echo '<br />';
		
						echo '<div class="frontier-query-results-fields-published">';
							if ($fq_date_format == "human")
								printf( _x( '%s ago', '%s = human-readable time difference', 'frontier-query' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); 
							else
								echo date_i18n( $fq_date_format,  strtotime( get_the_time( "Y-m-d H:i", $post ) ) );
						
							//echo $tmp_info_separator;
						echo '</div>';	
						echo '<br />';
						
		echo '<div class="frontier-query-results-fields-comments">';
							$postlink = esc_url( get_permalink() )."#comments";
							echo '<a class="frontier-query-comment-link" id="frontier-query-comment-link" href="'.$postlink.'">'.fq_get_icon('comments').'&nbsp;'.intval($post->comment_count).'</a>';
							$test = __("ago", "frontier-query");
						echo '</div>';	
						echo '<br />';
						
						echo '<div class="frontier-query-results-fields-tax">';
							// **************************************************************************************
							// List taxonomies
							// **************************************************************************************
					
							$post_terms = wp_get_post_terms($post->ID, array_keys($all_lists["tax_lists_plural"]), array("fields" => "all") );
							$tax_string = '';
							foreach ($all_lists["tax_lists_plural"] as $tax_slug => $tax_name)
								{
									$tmp_selected 	= array_key_exists($tax_slug, $fq_selected_values) ? $fq_selected_values[$tax_slug]: array();
									$term_list 		= array();
									foreach ($post_terms as $term)
										{
										if ($term->taxonomy == $tax_slug)
											{
											$term_link = get_term_link( $term );
											if ( in_array($term->slug, $tmp_selected) ) 
												$term_list[$term->slug] = '<span class="frontier-query-results-highlight"><a href="'.esc_url( $term_link ).'">'.$term->name.'</a></span>';
											else
												$term_list[$term->slug] = '<a href="'.esc_url( $term_link ).'">'.$term->name.'</a>';
								
											}
										}
							
									if (count($term_list)>0)
										{
										//$tax_string .= $tmp_info_separator.$tax_name.": ";
										$tax_string .= implode(", ", $term_list);
										}
								} // foreach tax names
							echo $tax_string;
		
							echo '<br />';
							echo '<br />';
		
							// Adding Average Rating of post
							global $post;
							$form_id = ''; //put form id here
							$post_id = intval($post->ID);
							if ( function_exists( 'cbxmcratingreview_postAvgRatingRender' ) ) {
								echo cbxmcratingreview_postAvgRatingRender( $form_id , $post_id );
							}
							//------------------------------
		
						echo '</div>';		
					echo '</div>';	
					
					?>
					
					
				</td>
				</tr>
			</table>	
		</fieldset>

		<?php
		
		} // end while have posts 
	
	
	
	
	$pagination = paginate_links( 
			array(
				'base' => add_query_arg( 'pagenum', '%#%'),
				'format' => '',
				'prev_text' => __( '&laquo;', 'frontier-query' ),
				'next_text' => __( '&raquo;', 'frontier-query' ),
				'total' => $fpfposts->max_num_pages,
				'current' => $pagenum,
				//'add_args' => false  //due to wp 4.1 bug (trac ticket 30831)
				) 
			);

	if ( $pagination ) 
		{
			echo '<br><div id="frontier-query-pagination">'.$pagination.'</div>';
		}
	
	echo '</div>';
	
	// Unterteilung hinzugefügt
	echo '<br />';
	echo '<hr></hr>';
	
	} // end if have posts

else
	{
		echo '</br><div id="frontier-query-no-posts-found">';
		//echo __('Sorry, no posts matched criteria', 'frontier-query');
		echo __('Sorry, es konnten keine passenden Beiträge gefunden werden.', 'frontier-query');
		echo "</div></br>";
		// Unterteilung hinzugefügt
		echo '<hr></hr>';
	} // end post count
	
//Re-instate $post for the page
wp_reset_postdata();

?>