<!-- René Wegener | Lyncronize | wegener@smartransfer.de | Kassel, Hessen, Deutschland -->

<?php get_header(); ?>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="http://localhost/KLuQ/wordpress//wp-content/themes/twentytwenty-Child/style.css">
<link rel="stylesheet" type="text/css" href="http://localhost/KLuQ/wordpress//wp-content/themes/twentytwenty-Child/templates/style.css">
<meta name="viewport" content="width=device-width, user-scalable=no">
<div class="container">
	<div class="row">
		<div class ="col-sm-3">
		</div>
		<div class ="col-sm-6">
		<h1 class="entry-title">Maschinen und Prozesse</h1>
			<!-- Trigger/Open The Modal -->
		<br />	
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" />
<div class="explaintextbox">
<br />
	In diesem Bereich können Sie Arbeitsprozesse und Prozessschritte anlegen, für die Beiträge erstellt werden sollen. Klicken Sie hierfür auf "NEUER ARBEITSPROZESS" und vergeben Sie einen aussagekräftigen Titel.
<br /><br />
Sie können für alle bereits angelegten Arbeitsprozesse neue Prozessschritte einfügen. Wählen Sie hierfür einen Arbeitsprozess aus, klicken Sie auf "WEITERER SCHRITT" und vergeben Sie einen aussagekräftigen Titel.
<br /><br />
Sie können für alle bereits angelegten Arbeitsprozesse und Prozessschritte neue Titel vergeben. Wählen Sie hierfür einen Arbeitsprozess aus und klicken Sie auf  "BEARBEITEN" neben einem Arbeitsprozess oder Prozessschritt.
<br /><br />
Sie müssen für einen Arbeitsprozess mindestens einen Prozessschritt einfügen, damit Beiträge hierfür angelegt werden können.
<br /><br />
</div>
<br />

<!-- The Step Edit Modal -->
<div id="stepModal" class="modal">

  <!-- Modal content -->
  <div class="modal-content">
    <span class="close" onclick="closeModal()">&times;</span>
    <p style="text-align: center;">Schritt umbenennen oder löschen</p>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">	  
				<input type="text" id="stepName" style="width:100%;"/>
		  </div>
		  <div class="col-sm-2"></div>
		  </div>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">
			  <input type="button" id="btnEditStep" value="Speichern" onclick="editStep()" style="width:100%;" data-stepid="99999"/>
		  </div>
		  <div class="col-sm-2"></div>
	  </div><br><br>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">
	<input type="button" id="btnDelStep" value="Löschen" onclick="delStep()"  style="width:100%;" data-stepid="99999"/>		
		</div>
		  <div class="col-sm-2"></div>
	  </div>
  </div>
</div> 
<br />
<!-- The SOP Edit Modal -->
<div id="sopModal" class="modal">
  <!-- Modal content -->
  <div class="modal-content">
    <span class="close" onclick="closeModal()">&times;</span>
    <p style="text-align: center;">Arbeitsprozess umbenennen oder löschen</p>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">	  
				<input type="text" id="sopName" style="width:100%;"/>
		  </div>
		  <div class="col-sm-2"></div>
		  </div>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">
			  <input type="button" id="btnEditSOP" value="Speichern" onclick="editSOP()" style="width:100%;" data-stepid="99999"/>
		  </div>
		  <div class="col-sm-2"></div>
	  </div><br><br>
	  <div class="row">
		  <div class="col-sm-2"></div>
		  <div class="col-sm-8">
	<input type="button" id="btnDelSOP" value="Löschen" onclick="delSOP()"  style="width:100%;" data-stepid="99999"/>		
		</div>
		  <div class="col-sm-2"></div>
	  </div>
  </div>
</div> 			
			
<?php /* Template Name: Frontend Category Editor */

// Create nonce to authenticate REST service later on
$nonce = wp_create_nonce('wp_rest');?>
<!–– Make nonce available to javascript code, then load actual script-->
<script type="text/javascript">var nonce = '<?php echo $nonce; ?>';</script>
<script type="text/javascript" src="http://localhost/KLuQ/wordpress/wp-content/themes/twentytwenty-Child/templates/script.js"></script>
<script type="text/javascript" src="http://localhost/KLuQ/wordpress/wp-content/themes/twentytwenty-Child/templates/touch.js"></script>
<h4>Arbeitsprozess auswählen</h4>
<br />
<div class="row">
<div class="col-sm-9">
<?php
// get all terms catgeorized as 'SOP'. i.e. all terms with parent id = 19
$sops = get_terms([
'taxonomy' => 'category',
'parent' => 19, // 19 ist die id von 'SOPs'
'hide_empty' => false
]);
$noSops = count($sops);
//var_dump($sops);

// Create a dropdown menu of all SOPs
echo "<select id='sopList' onchange='selectSOP(this)' style='width:100%;height:40px;'>";
echo "<option id='none' value='none'>--</option>";
foreach ($sops as $sop) {
    echo "<option id=".$sop->term_id." value=".$sop->term_id.">".$sop->name."</option>";
}
echo "</select>";

// Create textfield and 'add' button to allow additional SOPs for the dropdown
?>
</div>		
<div class="col-sm-3">
<input type="button" id="btnEditSOPModal" value="Bearbeiten" onclick="prepareSOP()"/>
</div>
</div>
<br /><br />
<input type="button" id="btnShow2" value="Neuer Arbeitsprozess" onclick="addSOP()"/>
<br>
<br>
<div class="row" id="addSOP" style="display: none;">
	<div class="col-sm-9">
		<input type="text" placeholder="Name des neuen Arbeitsprozesses" id="newSopName"/>
	</div>
	<div class="col-sm-3">
		<br>	
		<input type="button" id="btnAdd" value="Speichern" onclick="addSOP()"/>
	</div>
</div>
<br /><br />
			<h4>
				Schritte im Arbeitsprozess
			</h4>
<?php
// Now create an HTML list of all SOPs
echo "<ul id='stepList'>";

echo "</ul>";

//wp_localize_script( 'wp-api', 'wpApiSettings', array( 'root' => esc_url_raw( rest_url() ), 'nonce' => wp_create_nonce( 'wp_rest' ) ) );
//$nonce = wp_nonce_url('http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/42', 'wp_rest');

?>
<br>
<input type="button" onclick="addStep()" name="addStep" value="Weiteren Schritt hinzufügen"></button>

<!-- Add events for DnD-->
<script type="text/javascript">addEvents();var noSops = <?php echo ($noSops); ?>;</script>
	
		</div>
		<div class ="col-sm-3">
		</div>
	</div>
</div>

<?php get_template_part( 'template-parts/footer-menus-widgets' ); ?>

<?php get_footer(); ?>
