<?php 
//*******************************************************************************************************
// start output
//*******************************************************************************************************
	$tmp_p_id 	= (int) get_the_id();
	$fq_id 		= fq_create_fq_id();
	
	$faction 	= esc_url(add_query_arg("fq_id", $fq_id, $frontier_permalink));
	$target 	= $frontier_permalink.$concat."fq_id=".$fq_id;
	
	$fq_class = 'frontier-query-search-field';
	
	echo '<div id="frontier-query-searchform">'; 

	echo '<fieldset id="frontier-query-searchform-main" class="frontier-query-searchform-main" >'; 
	
	echo '<form action="'.$target.'" method="post" name="frontier-query-search" id="frontier_query" enctype="multipart/form-data" >';
	
	echo '<input type="hidden" name="pageid" 	value='.$tmp_p_id.'>';
	echo '<input type="hidden" name="fq_id" 	value='.$fq_id.'>';
	
	
	
	// get field layout
	$field_layout_list 	= fq_get_field_layout($fq_sc_parms['search_fields'], $fq_sc_parms['search_field_layout']);
	
	
	$all_option_array = array("dropdown", "radio", "radioline", "multi");
	
	foreach ($field_layout_list as $field_name => $layout)
		{
		$selected		= array();
		$values 		= array();
		$all_option		= false;
		$field_name		= trim($field_name);
		$fieldset_class = $fq_class;
		
		
		if ( in_array($layout,$all_option_array) )
			$all_option = true;
		else
			$all_option		= false;

		// if tall fields set another class for fieldset
		if ( in_array($layout, array('multi', 'checkbox', 'radio'),true) )
			$fieldset_class = $fq_class.'tall';
			
		if ($field_name == '|')
			{
			echo '</td>';
			echo '</tr><tr>';
			echo '<td class="frontier-query-no-border" id="frontier-query-searchform-submit">';
			}
		else
			{
			if (array_key_exists($field_name, $fq_selected_values))
				$selected = $fq_selected_values[$field_name];
			else
				$selected = array();
			
			
			if ( in_array($field_name, $all_lists['allowed_taxs']) )
				{	
				$excl_tax		= 0;
				$values 		= $all_lists[$field_name]['dropdown'];
				//$field_label	= fq_get_tax_label($field_name);
				$field_label	= $all_lists[$field_name]['taxonomy_name_plural'];
				if ($layout == "dropdown")
					$all_option = true;
				else
					$all_option		= false;
				}
			else
				{
				$field_label = "??";
				$field_label = array_key_exists($field_name, $all_lists["field_labels"]) ? $all_lists["field_labels"][$field_name] : "Unknown field (".$field_name.")";
				
				
				switch ($field_name)
					{
					
					case 'authors':
						$values 		= $all_lists['authors']['dropdown'];
						$field_label	= __("Autoren", "frontier-query");
						break;
					
				
					case 'post_type':
						$all_option		= false;
						$values 		= $all_lists["post_types"];
						$field_label	= __("Post types", "frontier-query");
						break;
		
						
					case 'period':
						$values 		= $all_lists["period"];
						//$field_label	= __("Published within", "frontier-query");
						break;
		
					case 'text':
						$all_option		= false;
						$selected = '';
						// Bestehendes Label überschrieben
						$field_label	= __("Gesuchte Kategorie eingeben", "frontier-query");
						break;
				
					}// end switch
				} // end if
		
			$field_name = fq_field_name($field_name);
			echo '<fieldset class="'.$fieldset_class.'">';
			echo '<legend class="'.$fq_class.'">'.$field_label.'</legend>';
			echo fq_build_html_field($layout, $field_name, $values, $selected, $all_option);
			echo '</fieldset>';
			echo PHP_EOL;
			} // end separator
		} // end foreach
	
	echo '<fieldset class="'.$fieldset_class.'">';
	//echo '<legend>'.__("Search", "frontier-query").'</legend>';
	echo '<legend>'.__("Suche", "frontier-query").'</legend>';
	echo '<button class="button fq-search-button" type="submit" name="frontier-query-search" id="frontier-query-search-go" value="fq-search-run">'.__("Suchen", "frontier-query").'</button>';
	echo '</fieldset>';
	
		
	
	echo PHP_EOL;
	
	echo '</td>';
	echo '</tr></table>';
	
	echo '</form>';
	echo '</fieldset>';
	echo '</div>';
	/*echo '<div id="hr"><hr></div>';*/


?>