var btn;
var remove = document.querySelector('.draggable');
var listItems;
var currentSOP;
var editingSOP = false;
var addingSOP = false;
var noSteps = 0;
	
function getIndex(item)
{   
    var aElements = item.parentNode.getElementsByTagName("li");
    var aElementsLength = aElements.length;

    var index;
    for (var i = 0; i < aElementsLength; i++)
    {
        if (aElements[i] == item)
        {
            index = i;
			return index;
        }
    }
}

function dragStart(e) {
  this.style.opacity = '0.4';
  dragSrcEl = this;
  e.dataTransfer.effectAllowed = 'move';
  e.dataTransfer.setData('text/html', this.innerHTML);
};
 
function dragEnter(e) {
 	if (e.target.className == 'shortText')
		this.classList.add('over');
}
 
function dragLeave(e) {
	e.stopPropagation();
	if (e.target.className == 'shortText') {
		this.classList.remove('over');
	}
}
 
function dragOver(e) {
  e.preventDefault();
  e.dataTransfer.dropEffect = 'move';
  return false;
}

// When dropping an item, all items below drop target need to be moved one space down
function dragDrop(e) {
	this.classList.remove('over');
	if (dragSrcEl != this) {
		var listItems = this.parentNode.getElementsByTagName("li");
		// index of drag drop item
		var dropIndex = getIndex(this);
		// index of drag start item
		var dragIndex = getIndex(dragSrcEl);
		var movedDown = false;
		if (dragIndex < dropIndex) {
			movedDown = true;
		}
		// store values from drag source
		bufferText = dragSrcEl.childNodes[1].childNodes[0].innerHTML;
		bufferId  = dragSrcEl.id;
		bufferOrder  = dragSrcEl.dataset.order;
			
		//var sourceIndex = getIndex(dragSrcEl);
		if (movedDown) {
			// Move up all items below the drop target, starting from bottom to top
			for (var i = dragIndex; i < dropIndex; i++) {
				// switch text, id and order
				listItems[i].childNodes[1].childNodes[0].innerHTML = listItems[i+1].childNodes[1].childNodes[0].innerHTML;
				listItems[i].id = listItems[i+1].id;
				listItems[i].dataset.order = i;
				// save new order
				callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + listItems[i].id, {'description': listItems[i].dataset.order});
			}
		}
		else {
			// Move down all items below the drop target, starting from bottom to top
			for (var i = dragIndex; i > dropIndex; i--) {
				// switch text, id and order
				listItems[i].childNodes[1].childNodes[0].innerHTML = listItems[i-1].childNodes[1].childNodes[0].innerHTML;
				listItems[i].id = listItems[i-1].id;
				listItems[i].dataset.order = i;
				// save new order
				callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + listItems[i].id, {'description': listItems[i].dataset.order});
			}
		}
		// When done, update drop element
		listItems[dropIndex].childNodes[1].childNodes[0].innerHTML = bufferText;
		listItems[dropIndex].id = bufferId;
		listItems[dropIndex].dataset.order = dropIndex;
		callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + listItems[dropIndex].id, {'description': listItems[dropIndex].dataset.order});
	}	
	return false;
}
 
function dragEnd(e) {
  var listItems = document.querySelectorAll('.draggable');
  [].forEach.call(listItems, function(item) {
    item.classList.remove('over');
  });
  this.style.opacity = '1';
}
 
function addEventsDragAndDrop(el) {
  //el.addEventListener('touchstart', dragStart, false);
  //el.addEventListener('touchend', dragEnd, false);
  
  el.addEventListener('dragstart', dragStart, false);
  el.addEventListener('dragenter', dragEnter, false);
  el.addEventListener('dragover', dragOver, false);
  el.addEventListener('dragleave', dragLeave, false);
  el.addEventListener('drop', dragDrop, false);
  el.addEventListener('dragend', dragEnd, false);
}
 
function addEvents() {
	//btn = document.getElementById('btnAdd');
	//btn.addEventListener('click', addNewItem);
	listItems = document.querySelectorAll('.draggable');
	[].forEach.call(listItems, function(item) {
		addEventsDragAndDrop(item);
	}
  );
}
 
function addNewItem() {
  var newItem = document.getElementById('sopName').value;
  if (newItem != '') {
    document.getElementById('sopList').value = '';
    var li = document.createElement('li');
    var attr = document.createAttribute('draggable');
    var ul = document.querySelector('ul');
    li.className = 'draggable';
    attr.value = 'true';
    li.setAttributeNode(attr);
    li.appendChild(document.createTextNode(newItem));
    ul.appendChild(li);
    addEventsDragAndDrop(li);
  }
}

/* Function to get/post http data and open callback function to treat the result
 * type: 'GET' or 'POST'
 * url: Full wp url to call
 * data: data to send. Use null if you don't want to send data/ for GET
 * callback: Method to call once the http request is finished
 **/
function callHTTP(type, url, data, callback) {
	//var data = {'name': 'Siegbert'};
	var response = null;
	var xhr = new XMLHttpRequest();
	xhr.withCredentials = true;
	
	xhr.addEventListener("readystatechange", function () {
		if (this.readyState === this.DONE) {
			response = this.responseText;
			if (callback)
				callback(response);
		}
	});
	
	xhr.open(type, url);
	xhr.setRequestHeader("X-WP-Nonce", nonce);
	xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
	//xhr.setRequestHeader("Authorization", "Basic " + btoa("Rene_Wegener:udxanLnO*&$$*L^keaw)JvF9"));
	
	if (data)
		xhr.send(JSON.stringify(data));
	else {
		xhr.send();
	}
}

// Add an additional step to the selected SOP
function addStep() {
	noSteps++;
	if (document.getElementById('sopList').selectedIndex != 0) {
		// Create item in wp and get new id
		var newCat = {'name': 'Prozessschritt ' + noSteps, 'parent': document.getElementById('sopList')[document.getElementById('sopList').selectedIndex].value, 'description':'99'};
		callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories", newCat, addStepListItem);
	}
}

// Callback function after new step item has been created
function addStepListItem(data) {
	json = JSON.parse(data);
	var stepList = document.getElementById("stepList");
	var li = document.createElement('li');
	li.className = 'draggable';
	li.draggable = true;
	li.id = json.id;
	
	// Add delete button
	var del = document.createElement('input');
	del.type = 'button';
	//del.value = 'Edit';
	del.value = 'Bearbeiten';
	del.style.cssText = 'float: right;';
	// Add delete function to the button
	del.onclick = function() {    
		openModal(this.parentNode.id, this.parentNode.childNodes[1].childNodes[0].innerHTML);
	};
	li.appendChild(del);
		
	// add div
	var div = document.createElement('div');
	div.style.cssText = 'overflow: hidden; padding-right: .5em;';
		
	//Add text paragraph
	var p = document.createElement('p');
	p.className = 'shortText';
	p.innerHTML = json.name;

	div.appendChild(p);
		
	li.appendChild(div);
		
	stepList.appendChild(li);
	// add events to the new list for DnD
	addEventsDragAndDrop(li);
	
	// Finally, open modal to edit this new step's name
	openModal(json.id, json.name);
}

// Simple callback function for testing purposes
function alertGET(data) {
	alert(data);
}

// Called whan a SOP is selected form the drop down list
function selectSOP(e) {
	// get the wp category id of the selected SOP
	currentSOP = e[e.selectedIndex].value;
	// fetch sub categories for this SOP
	callHTTP("GET", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories?parent=" + currentSOP + '&_=' + new Date().getTime(), null, createStepList);
	// change name in edit text field
	document.getElementById('sopName').value = e[e.selectedIndex].innerHTML;
}

// Create list of steps/sub-categories for the selected SOP/category
function createStepList(data) {
	json = JSON.parse(data);
	noSteps = json.length;
	// Empty old step list
	var stepList = document.getElementById("stepList");
	stepList.innerHTML = "";	
	// Loop through the json array. Each item is one category/step
	for(var i = 0; i < json.length; i++) {
		var obj = json[i];
		// Get id and name and create the html list from that
		var li = document.createElement('li');
		li.className = 'draggable';
		li.draggable = true;
		li.id = obj.id;
		// Check if this category has a valid order set in description field
		var order = parseInt(obj.description);
		if (isNaN(order))
			order = 0;
		
		li.setAttribute('data-order', order);
		
		// Add delete button
		var del = document.createElement('input');
		del.type = 'button';
		//del.value = 'Edit';
		del.value = 'Bearbeiten';
		del.style.cssText = 'float: right;';
		// Add delete function to the button
		del.onclick = function() {    
			openModal(this.parentNode.id, this.parentNode.childNodes[1].childNodes[0].innerHTML);
		};
		li.appendChild(del);
		
		// add div for text input
		var div = document.createElement('div');
		div.style.cssText = 'overflow: hidden; padding-right: .5em;';
		
		//Add text paragraph
		var p = document.createElement('p');
		p.className = 'shortText';
		p.innerHTML = obj.name;

		div.appendChild(p);
		 
		li.appendChild(div);
		
		stepList.appendChild(li);
	}
	// add events to the new list for DnD
	addEvents();
	// sort list
	sortList(stepList);
}

// Remove currently selected SOP
function delSOP() {
	var sopList = document.getElementById("sopList");
	if (sopList.selectedIndex != 0) {
		callHTTP("DELETE", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + sopList[sopList.selectedIndex].id, {'force':'true'}, null);
		sopList.remove(sopList.selectedIndex);
	}
	// empty step List
	var stepList = document.getElementById("stepList");
	stepList.innerHTML = "";
	// close modal
	closeModal();
}

var newSOPOption = null;

// Add new SOP to drop down list and to Wordpress
function addSOP() {
	noSops++;
	// alter drop down
	var ddl = document.getElementById("sopList");
	var option = document.createElement("OPTION");
	option.innerHTML = "Arbeitsprozess " + noSops;//document.getElementById("newSopName").value;
	option.selected = true;
	ddl.options.add(option);
	newSOPOption = option;
	// create new category in WP with parent 'SOPs' (id: 19)
	// empty current step-list
	var stepList = document.getElementById("stepList");
	stepList.innerHTML = "";	
	// set text field
	//document.getElementById("newSopName").value = "";
	var data = {'name': 'Arbeitsprozess ' + noSops, 'parent': '19'};
	callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories", data, updateSOPId);
}

// Called when new SOP has been created by WP. Will update the corresponding dropwon list's item id
function updateSOPId(data) {
	newSOPOption.id = JSON.parse(data).id;
	newSOPOption.value = JSON.parse(data).id;
	openEditSOPModal(JSON.parse(data).id, JSON.parse(data).name);
}

function prepareSOP() {
	var sopList = document.getElementById('sopList');
	var id = sopList[sopList.selectedIndex].id;
	var name = sopList[sopList.selectedIndex].innerHTML;
	if (id)
		openEditSOPModal(id, name);
}

// sort list of steps according to data-order element
function sortList(ul) {
	var list, i, switching, b, shouldSwitch;
	list = document.getElementById("stepList");
	switching = true;
	/* Make a loop that will continue until
	 * no switching has been done: */
	while (switching) {
		// Start by saying: no switching is done:
		switching = false;
		b = list.getElementsByTagName("LI");
		// Loop through all list items:
		for (i = 0; i < (b.length - 1); i++) {
			// Start by saying there should be no switching:
			shouldSwitch = false;
		/* Check if the next item should
		 * switch place with the current item: */
		if (b[i].dataset.order > b[i + 1].dataset.order) {
        /* If next item is alphabetically lower than current item,
        mark as a switch and break the loop: */
        shouldSwitch = true;
        break;
      }
    }
    if (shouldSwitch) {
      /* If a switch has been marked, make the switch
      and mark the switch as done: */
      b[i].parentNode.insertBefore(b[i + 1], b[i]);
      switching = true;
    }
  }
}

// Change an SOP's name
function editSOP() {
	var sopList = document.getElementById('sopList');
	var name = document.getElementById('sopName').value;
	if (name != '' && sopList.selectedIndex != 0)
		callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + sopList[sopList.selectedIndex].id, {'name':name}, null);
	sopList[sopList.selectedIndex].innerHTML = name;
	closeModal();
}

// Get the modal
var stepModal = document.getElementById("stepModal");
var sopModal = document.getElementById("sopModal");

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

// When the user clicks on the button, open the modal
function openModal(id, name) {
	stepModal.style.display = "block";
	document.getElementById("stepName").value = name;
	document.getElementById("btnEditStep").dataset.stepid = id;
	document.getElementById("btnDelStep").dataset.stepid = id;
	//var element = document.getElementById(this.parentNode.id);
	//element.parentNode.removeChild(element);
	//callHTTP("DELETE", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + this.parentNode.id, {'force': true}, null);
}

function openEditSOPModal(id, name) {
	var sopList = document.getElementById('sopList');
	document.getElementById("btnEditSOP").dataset.stepid = id;
	document.getElementById("btnDelSOP").dataset.stepid = id;
	
	if (name != '' && sopList.selectedIndex != 0) {
		sopModal.style.display = "block";
		document.getElementById('sopName').innerHTML = name; 
	}
}

// Change name of an SOP step
function editStep() {
	var id = document.getElementById('btnEditStep').dataset.stepid;
	var name = document.getElementById('stepName').value;
	var data = {'name': name};
	//alert('Change ' + id + ' ' + name);
	// Call wp
	callHTTP("POST", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + id, data, null);
	document.getElementById(id).childNodes[1].childNodes[0].innerHTML = name;
		
	closeModal();
}

// Remove an SOP step
function delStep() {
	var id = document.getElementById('btnDelStep').dataset.stepid;
	var data = {'force': true};
	// Call wp
	callHTTP("DELETE", "http://localhost/KLuQ/wordpress/wp-json/wp/v2/categories/" + id, data, null);
	document.getElementById(id).parentNode.removeChild(document.getElementById(id));
	closeModal();
}

// When the user clicks on <span> (x), close the modal
function closeModal() {
	// close modal
	stepModal.style.display = "none";
	sopModal.style.display = "none";
	// update step list
	//selectSOP(document.getElementById('sopList'));
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == stepModal) {
    stepModal.style.display = "none";
  }
  if (event.target == sopModal) {
    sopModal.style.display = "none";
  }
} 